uulib-0.9.20: Haskell Utrecht Tools Library

Safe Haskell | None
Language | Haskell98

UU.Parsing.StateParser

# Documentation

class StateParser p st | p -> st where Source

Minimal complete definition

change

Methods

change :: (st -> st) -> p st Source

set :: st -> p st Source

get :: p st Source

Instances

(InputState inp s p, OutputState out) => StateParser (AnaParser (inp, st) out s p) st Source |